<?php
/**
 * Created by PhpStorm.
 * User: phillipesilva
 * Date: 11/12/2015
 * Time: 09:16
 */
namespace Controller;

use Util\Utilities as Environment;
use Service\InitService;
use ZeedhiUser\Services\AccessControl\JsonLoader;
use Zeedhi\Framework\DataSource\DataSet;

class AccessControlController {
    protected $jsonLoader;
    protected $initService;
    protected $environment;
    protected $jsonContainerPath;
    protected $jsonDirectories;

    function __construct(Environment $environment, JsonLoader $jsonLoader, InitService $initService, $jsonContainerPath, $jsonDirectories) {
        $this->jsonLoader        = $jsonLoader;
        $this->initService       = $initService;
        $this->environment       = $environment;
        $this->jsonContainerPath = $jsonContainerPath;
        $this->jsonDirectories   = $jsonDirectories;
    }

    public function sync ($request, $response) {
        $jsons = $this->jsonLoader->loadJsons([$this->jsonDirectories], $this->jsonContainerPath);
        $row = array(
            "requestType" => "Row",
            "row" =>
                array(
                    "projectId" => $this->environment->getProjectId(),
                    "projectUniqueId" => $this->environment->getProjectUniqueId(),
                    "jsons" => $jsons
                )
        );

        $response = $this->initService->getSession($this->environment->getToken(), '/zi_clientSync', $row);
    }
}