<?php

namespace Service;


class IntegrationServiceProvider implements \Zeedhi\Framework\Security\OAuth\ServiceProvider {

    private $services = array();

    public function __construct() {
      $clientServices = $this->readJson();
      foreach($clientServices as $clientService){
          $this->services[] = new IntegrationService($clientService['name'],$clientService['clientId'],
              $clientService['clientSecret'], $clientService['userId'], $clientService['organizationId']);
      }
    }

    public function findByClientAndSecretId($clientId, $clientSecret){
        foreach($this->services as $service){
            if($service->getClientId() === $clientId && $service->getClientSecret() === $clientSecret) {
                return $service;
            }
        }
        return null;
    }

    private function readJson(){
        $json = file_get_contents("../OAuthJson/integrationJson.json");
       return json_decode($json,true);
    }
} 